org.apache.sysds.runtime.io.hdf5.message

## Class H5DataLayoutMessage

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.message.H5Message
  - - org.apache.sysds.runtime.io.hdf5.message.H5DataLayoutMessage

    public class H5DataLayoutMessage
    extends H5Message

### Constructor Summary

Constructors
Constructor and Description
`H5DataLayoutMessage(H5RootObject rootObject, BitSet flags, ByteBuffer bb)`
`H5DataLayoutMessage(H5RootObject rootObject, BitSet flags, long address, long size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getAddress()`
`long` `getSize()`
`void` `toBuffer(H5BufferBuilder bb)`

### Methods inherited from class org.apache.sysds.runtime.io.hdf5.message.H5Message

`readObjectHeaderMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### H5DataLayoutMessage

    public H5DataLayoutMessage(H5RootObject rootObject,
                               BitSet flags,
                               ByteBuffer bb)

#### H5DataLayoutMessage

    public H5DataLayoutMessage(H5RootObject rootObject,
                               BitSet flags,
                               long address,
                               long size)

### Method Detail

#### toBuffer

    public void toBuffer(H5BufferBuilder bb)

#### getAddress

    public long getAddress()

#### getSize

    public long getSize()